#include "TOP.h"
#include "tlm.h"

#include "Initiator.h"
#include "Target.h"

// constructor
TOP::TOP( sc_module_name name )
    : sc_module( name )
{
    target= new Target( "target" );
    initiator = new Initiator( "initiator" );

    initiator->i_socket( target->t_socket );
}

// destructor
TOP::~TOP()
{
    delete target;
    delete initiator;
}


